import os

from aws_cdk import core, aws_lambda
from aws_cdk.aws_lambda_python import PythonFunction


class TestAwsLambdaPython2Stack(core.Stack):

    def __init__(self, scope: core.Construct, construct_id: str, **kwargs) -> None:
        super().__init__(scope, construct_id, **kwargs)

        my_lambda = PythonFunction(self, id="my_lambda",
                                   entry=os.path.join("lambda"), index="lambda_handler.py",
                                   handler="handler", runtime=aws_lambda.Runtime.PYTHON_3_6)
